%define	version 0.3.9
%define name kmpg
Name: %{name}
Summary: Mpeg1/2 audio stream player, can handle layer I, II, and III streams
Summary(de): Mpeg 1/2 Audio-Abspieler, verarbeitet Layer I, II und III-Strme
Version: %{version}
Release: 1
Source: ftp.kde.org:/pub/kde/stable/latest/apps/network/%{name}-%{version}.tar.gz
#Patch: %{name}-%{version}.patch
Group: X11/KDE/Multimedia
Icon: %{name}.xpm
Copyright: GPL
BuildRoot: /tmp/build-kde.%{name}-%{version}
Requires: qt >= 1.33
Distribution: KDE
Vendor: The KDE Team

%description
This is a demo-version of kmpg, which uses the new pthread-library.
So it actually runs only on RedHat 5.1. It is heavily untested!!!
Please report bugs to Martin Vogt: <mvogt@rhrk.uni-kl.de>

%description -l de
Diese Demo Version von kmpg verwendet die neue pthread-Bibliothek.
Deshalb luft kmpg zur Zeit nur auf RedHat 5.1. Es ist noch kaum
getestet!!! Bitte schickt (mglichst viele) Bug Reports an
Martin Vogt <mvogt@rhrk.uni-kl.de>

%prep
rm -rf $RPM_BUILD_ROOT

%setup
#%patch -p1

%build
if [ -n "$KDEDIR" ]; then
	export KDEDIR=/opt/kde
fi
################################################################
### Ab hier wurde "gepatcht":
if [ -n "$QT_MOC_DIR" ]; then
	export QT_MOC_DIR=/usr/bin
fi
if [ -n "$QT_INCLUDE_DIR" ]; then
	export QT_INCLUDE_DIR=/usr/lib/qt/include
fi
if [ -n "$QT_LIB_DIR" ]; then
	export QT_LIB_DIR=/usr/lib/qt
fi
### Hier endet der Patch
################################################################
#./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT

cd lib
make
cd ..
make

%install
make install prefix=$RPM_BUILD_ROOT$KDEDIR

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f ../file.list.%{name}
